Skip to main content
GET
/
agents
/
{agent_id}
/
system-steps
/
{step}
/
prompt
Get agent system step prompt
curl --request GET \
  --url https://api.trymaitai.ai/api/v1/agents/{agent_id}/system-steps/{step}/prompt \
  --header 'X-Maitai-Api-Key: <api-key>'
{
  "data": {
    "template": "{{persona}}\n\n{{core_instructions}}",
    "blocks": [
      {
        "reference": "persona",
        "label": "Persona",
        "description": "Who the agent is and how it behaves.",
        "editable": true,
        "readable": true,
        "content": "You are a helpful orchestration planner.",
        "block_order": 0
      }
    ],
    "is_override": false
  }
}

Authorizations

X-Maitai-Api-Key
string
header
required

Your Maitai API key from the Portal.

Path Parameters

agent_id
integer
required
step
string
required

Response

200 - application/json

Get agent system step prompt.

data
any